## ros-iron-tf2-ros-py 0.31.5

=== debian/changelog ===
ros-iron-tf2-ros-py (0.31.5-1jammy) jammy; urgency=high

  * Remove 'efficient copy' prints (#627 <https://github.com/ros2/geometry2/issues/627>)
  * Contributors: Matthijs van der Burgh

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 07 Sep 2023 16:00:00 -0000

ros-iron-tf2-ros-py (0.31.4-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 13 Jul 2023 16:00:00 -0000

ros-iron-tf2-ros-py (0.31.3-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 10 May 2023 16:00:00 -0000

ros-iron-tf2-ros-py (0.31.2-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 12 Apr 2023 16:00:00 -0000

ros-iron-tf2-ros-py (0.31.1-1jammy) jammy; urgency=high

  * Update sys.path with wokring directory (#594 <https://github.com/ros2/geometry2/issues/594>)
  * Contributors: Yadu

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 11 Apr 2023 16:00:00 -0000

ros-iron-tf2-ros-py (0.31.0-1jammy) jammy; urgency=high

  * Enable document generation using rosdoc2 for ament_python pkgs (#587 <https://github.com/ros2/geometry2/issues/587>)
  * Contributors: Yadu

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 10 Apr 2023 16:00:00 -0000

ros-iron-tf2-ros-py (0.30.0-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 13 Feb 2023 16:00:00 -0000

ros-iron-tf2-ros-py (0.29.0-1jammy) jammy; urgency=high

  * Update maintainers (#560 <https://github.com/ros2/geometry2/issues/560>)
  * Use pytest rather than unittest to enable repeat (#558 <https://github.com/ros2/geometry2/issues/558>)
  * Contributors: Audrow Nash, Michael Carroll

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Sun, 20 Nov 2022 16:00:00 -0000

ros-iron-tf2-ros-py (0.28.0-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 01 Nov 2022 16:00:00 -0000

ros-iron-tf2-ros-py (0.27.0-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 12 Sep 2022 16:00:00 -0000

ros-iron-tf2-ros-py (0.26.2-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Sun, 14 Aug 2022 16:00:00 -0000

ros-iron-tf2-ros-py (0.26.1-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 23 Jun 2022 16:00:00 -0000

ros-iron-tf2-ros-py (0.26.0-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 28 Apr 2022 16:00:00 -0000

ros-iron-tf2-ros-py (0.25.0-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 04 Apr 2022 16:00:00 -0000

ros-iron-tf2-ros-py (0.24.0-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 30 Mar 2022 16:00:00 -0000

ros-iron-tf2-ros-py (0.23.0-1jammy) jammy; urgency=high

  * Drop PyKDL dependency in tf2_geometry_msgs (#509 <https://github.com/ros2/geometry2/issues/509>)
  * Contributors: Florian Vahl

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Sun, 27 Mar 2022 16:00:00 -0000

ros-iron-tf2-ros-py (0.22.0-1jammy) jammy; urgency=high

  * Add in one more destroy call that was missed in testing. (#504 <https://github.com/ros2/geometry2/issues/504>)
  * Contributors: Chris Lalancette

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 28 Feb 2022 16:00:00 -0000

ros-iron-tf2-ros-py (0.21.0-1jammy) jammy; urgency=high

  * Be much more careful about cleanup in the tf2_ros_py tests. (#499 <https://github.com/ros2/geometry2/issues/499>)
  * Use the correct type for BufferClient timeout_padding. (#498 <https://github.com/ros2/geometry2/issues/498>)
    It should be a duration, not a float.
  * Contributors: Chris Lalancette

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 13 Jan 2022 16:00:00 -0000

ros-iron-tf2-ros-py (0.20.0-1jammy) jammy; urgency=high

  * Update maintainers to Alejandro Hernandez Cordero and Chris Lalancette (#481 <https://github.com/ros2/geometry2/issues/481>)
  * Contributors: Audrow Nash

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 16 Dec 2021 16:00:00 -0000

ros-iron-tf2-ros-py (0.19.0-1jammy) jammy; urgency=high

  * Fix buffer_client.py using default timeout_padding (#437 <https://github.com/ros2/geometry2/issues/437>)
  * Contributors: Carlos Andrés Álvarez Restrepo

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 14 Oct 2021 16:00:00 -0000

ros-iron-tf2-ros-py (0.18.0-1jammy) jammy; urgency=high

  * Use underscores instead of dashes in setup.cfg. (#403 <https://github.com/ros2/geometry2/issues/403>)
  * Contributors: Chris Lalancette

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 31 May 2021 16:00:00 -0000

ros-iron-tf2-ros-py (0.17.1-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 05 Apr 2021 16:00:00 -0000

ros-iron-tf2-ros-py (0.17.0-1jammy) jammy; urgency=high

  * Use global namespace for TransformListener topics (#390 <https://github.com/ros2/geometry2/issues/390>)
  * Fix indentation of a comment in buffer.py (#371 <https://github.com/ros2/geometry2/issues/371>)
  * Contributors: Chris Lalancette, Jacob Perron

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 18 Mar 2021 16:00:00 -0000

ros-iron-tf2-ros-py (0.16.0-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Sun, 24 Jan 2021 16:00:00 -0000

ros-iron-tf2-ros-py (0.15.1-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 07 Dec 2020 16:00:00 -0000

ros-iron-tf2-ros-py (0.15.0-1jammy) jammy; urgency=high

  * Update rclpy.Rate TODO with url to issue (#324 <https://github.com/ros2/geometry2/issues/324>)

